Bug 13322 - Update MARC21 frameworks to Update No. 19 (October 2014)
Summary: Update MARC21 frameworks to Update No. 19 (October 2014)
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Cataloging (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Bernardo Gonzalez Kriegel
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 13897
  Show dependency treegraph
 
Reported: 2014-11-21 15:48 UTC by Bernardo Gonzalez Kriegel
Modified: 2015-12-03 22:11 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 13322: Update MARC21 frameworks to Update No. 19 (84.46 KB, patch)
2015-03-02 00:50 UTC, Bernardo Gonzalez Kriegel
Details | Diff | Splinter Review
Bug 13322: Update MARC21 frameworks to Update No. 19 (84.53 KB, patch)
2015-03-02 00:57 UTC, Bernardo Gonzalez Kriegel
Details | Diff | Splinter Review
Bug 13322: Update MARC21 frameworks to Update No. 19 (84.60 KB, patch)
2015-03-06 10:50 UTC, Brendan Gallagher
Details | Diff | Splinter Review
[PASSED QA] Bug 13322: Update MARC21 frameworks to Update No. 19 (84.71 KB, patch)
2015-04-19 21:10 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Bernardo Gonzalez Kriegel 2014-11-21 15:48:17 UTC
Bibliographic and authority.
"Update No. 19 (October 2014) includes changes resulting from proposals that were considered by the MARC 21 community during June 2014."
Comment 1 Bernardo Gonzalez Kriegel 2015-03-02 00:50:51 UTC Comment hidden (obsolete)
Comment 2 Bernardo Gonzalez Kriegel 2015-03-02 00:57:21 UTC Comment hidden (obsolete)
Comment 3 Brendan Gallagher 2015-03-06 10:50:01 UTC Comment hidden (obsolete)
Comment 4 Katrin Fischer 2015-04-19 21:08:08 UTC
This looks all good and I think it would be good to include updated frameworks in our next release.

Only one question here: What about the non-default frameworks for bilbiographic and authorities?
Comment 5 Katrin Fischer 2015-04-19 21:10:55 UTC
Created attachment 38145 [details] [review]
[PASSED QA] Bug 13322: Update MARC21 frameworks to Update No. 19

Summary of changes:
1) Bibliographic
- Added fields 370 and 388
- 382s is non repeatable
- $g added to 650 and 651
- $g now repeatable on 100,110,111,130,240,243,246,247,
  600,610,611,630,700,710,711,730,800,810,811 and 830

2) Authority
- Added field 388
- New $g on 150,151,450,451,550,551,750 and 751
- New $i on 700,710,711,730,748,750,751,755,762,780,781,782 and 785
- New $4 on 700,710,711,730,748,750,751,755,762,780,781,782,785 and 788
- $g now repeatable on 100,110,111,130,400,410,411,430,500,
  510,511,530,700,710,711 and 730

This patch updates MARC21 frameworks to Update No. 19 (October 2014)
Also updates values on database for MARC21 installs.

To test
1. Apply the patch
2. Run updatedatbase.pl, check that runs without error
3. Remove default frameworks, bibliographic and authorities (all of them),
load again. Check that both files load without errors.
4. Verify changes

Signed-off-by: Brendan Gallagher <brendan@bywatersolutions.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 6 Katrin Fischer 2015-04-19 21:11:27 UTC
I have marked this passed QA, but please take a look at my last comment - thx!
Comment 7 Tomás Cohen Arazi 2015-04-20 13:28:19 UTC
Patch pushed to master.

Gracias Bernardo!